Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007985opensim[GRID] User Servicepublic2016-08-03 14:592016-08-05 10:59
Reporterkcozens 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0007985: Friends online information not updated after initial login to grid
DescriptionWhen I log in to a grid running the friends list will show me which of my friends is currently online. If another of my friends logs in to the grid while I'm online the friends list is never updated to show the online status of this other friend that just logged in to the grid.
Steps To ReproduceLog in to a grid. Check the friends list to see who is online. Have another of your friends log in. Re-check the friends list. The newly logged in member will still be shown as offline.
TagsNo tags attached.
Git Revision or version number2d8669ad398d90fdea9bf76a4e07707a75b9ff83
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
Script Engine
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm
Attached Files

- Relationships

-  Notes
(0030980)
kcozens (administrator)
2016-08-03 15:02

I forgot to state that I never noticed any problems with the online status friends on my Friends list when I was running 0.8.0-post-fixes. The problem has only appeared since the grid was updated to git master. I don't know if it was broken in 0.8.2-post-fixes as I skipped over that version.
(0030982)
aiaustin (developer)
2016-08-04 00:55
edited on: 2016-08-04 12:13

Confirmed on both Openvue and AiLand grids using opensim-0.9.0-536-g4ba4c9c (2016-08-02) and Firestorm 4.7.9.50525. The normal message showing in the viewer nearby chat when the friend has come online also does not show. If the friend/other user logs off though the message that they are offline does show in nearby chat.

The friends list is not updated even if its closed and reopened.

BUT, when I tried this on an OSGrid addon region using the latest 0.9.0-based OSGrid packaged version of OpenSim (2016-07-17) the friends list was updated, and the nearby chat showed the friend avatar coming online. So is there something different about the OSGrid setup that allows this to work there?

(0030986)
kcozens (administrator)
2016-08-04 19:09

The following change may have fixed this issue. More testing is needed to be sure whether it has or has not.

commit 5861355577f235e91f5dd5b9539a9487b5699bdf
Author: UbitUmarov <ajlduarte@sapo.pt>
Date: Thu Aug 4 17:39:10 2016 +0100

    do friends recaching on MakeRoot for normal tps, delay it on crossings
(0030987)
aiaustin (developer)
2016-08-05 01:29
edited on: 2016-08-05 14:14

This issue appears to have been resolved.

Testing with latest dev master opensim-0.9.0-562-gab76192.zip (2016-08-05) which includes the change above...

Tests of friends on same grid (AiLand) logging on and off between different regions, including those on different OpenSim.exe region server instances.

Test across two grids (AiLand and Openvue) both on opensim-0.9.0-562-gab76192.zip) with a HG friend also now works, BOTH grids do need to be on this corrected version for that to work correctly.

(0030988)
aiaustin (developer)
2016-08-05 10:59
edited on: 2016-08-06 01:18

There is an old issue that been in OpenSim for a long time... but it might be in a similar area of the code...

http://opensimulator.org/mantis/view.php?id=5535 [^]

IMs work fine between users on different grids (e.g. to a HG friend) when they are ONLINE... its delivered fine to the other grid. But, even when offline IM is supported on BOTH grids, the sender IM does not try to leave the message for the other grid user (offline HG friend)... instead reporting..

(busy response): Unable to send instant message. User is not logged in.

Expected behaviour would be that if Offline IM was supported on both source and destination grids, then the message should be left for delivery on the destination grid when the HG friend comes online.


- Issue History
Date Modified Username Field Change
2016-08-03 14:59 kcozens New Issue
2016-08-03 15:02 kcozens Note Added: 0030980
2016-08-04 00:55 aiaustin Note Added: 0030982
2016-08-04 00:55 aiaustin Assigned To => aiaustin
2016-08-04 00:55 aiaustin Status new => confirmed
2016-08-04 01:00 aiaustin Note Edited: 0030982 View Revisions
2016-08-04 07:22 aiaustin Assigned To aiaustin =>
2016-08-04 07:35 aiaustin Note Edited: 0030982 View Revisions
2016-08-04 07:47 aiaustin Note Edited: 0030982 View Revisions
2016-08-04 07:51 aiaustin Note Edited: 0030982 View Revisions
2016-08-04 12:13 aiaustin Note Edited: 0030982 View Revisions
2016-08-04 19:09 kcozens Note Added: 0030986
2016-08-05 01:29 aiaustin Note Added: 0030987
2016-08-05 01:30 aiaustin Note Edited: 0030987 View Revisions
2016-08-05 05:58 aiaustin Note Edited: 0030987 View Revisions
2016-08-05 10:59 aiaustin Note Added: 0030988
2016-08-05 10:59 aiaustin Note Edited: 0030988 View Revisions
2016-08-05 14:14 aiaustin Note Edited: 0030987 View Revisions
2016-08-06 01:18 aiaustin Note Edited: 0030988 View Revisions


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker